executeWorkflow

Prev Next

Available in VPC

Run the workflow.

The workflow can only be run if its start trigger execution option is set to manual or event. The system only acknowledges receipt of the execution request; to view the execution results, use getWorkflowExecutions.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/workflows/{workflowId}/executions

Request headers

For information about the request headers common to all Data Flow APIs, see Data Flow request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workflowId String Required Workflow ID

Request body

No Request body is used.

Request example

The request example is as follows:

curl --location --request POST 'https://dataflow.apigw.ntruss.com/api/v1/workflows/3tfNLP******/executions' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
workflowId String - Workflow ID
triggerId String - Executed start trigger ID
status String - Execution request reception status
  • ACCEPTED
    • ACCEPTED: Execution request received.

Response status codes

For the response statuses commonly used in the Data Flow APIs, see Data Flow response status codes. Upon successful receipt of the request, a 202 status code is returned.

Response example

The response example is as follows:

{
    "workflowId": "3tfNLP******",
    "triggerId": "8bjF7E******",
    "status": "ACCEPTED"
}